# $Revision: 1.29 $, $Date: 2012/03/28 07:26:24 $
Summary:	Client for the Trivial File Transfer Protocol (TFTP)
Summary(de.UTF-8):	Client für das 'trivial file transfer protocol (tftp)'
Summary(fr.UTF-8):	Client pour le « trivial file transfer protocol » (tftp)
Summary(pl.UTF-8):	Klient TFTP (Trivial File Transfer Protocol)
Summary(tr.UTF-8):	İlkel dosya aktarım protokolu (TFTP) için sunucu ve istemci
Name:		atftp
Version:	0.7
Release:	15
License:	GPL
Group:		Applications/Networking
Source0:	ftp://ftp.mamalinux.com/pub/atftp/%{name}-%{version}.tar.gz
# Source0-md5:	3b27365772d918050b2251d98a9c7c82
Source1:	%{name}d.inetd
Source2:	%{name}d.init
Source3:	%{name}d.sysconfig
Patch0:		%{name}-debian.patch
Patch1:		%{name}-tinfo.patch
Patch2:		%{name}-clk.patch
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	libtool
BuildRequires:	libwrap-devel
BuildRequires:	rpmbuild(macros) >= 1.268
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The Trivial File Transfer Protocol (TFTP) is normally used only for
booting diskless workstations. This package contains tftp client.

%description -l de.UTF-8
Das trivial file transfer protocol (tftp) wird in der Regel nur zum
Booten von disklosen Workstations benutzt. Es bietet nur geringe
Sicherheit und sollte nur im Bedarfsfall aktiviert werden.

%description -l fr.UTF-8
Le « trivial file transfer protocol » (tftp) est normalement utilisé
uniquement pour démarrer les stations de travail sans disque. Il offre
très peu de sécurité et ne devrait pas être activé sauf si c'est
nécessaire.

%description -l pl.UTF-8
Tftp (trivial file transfer protocol) jest używany głównie do
startowania stacji bezdyskowych z sieci. Pakiet ten zawiera aplikację
tftp klienta.

%description -l tr.UTF-8
İlkel dosya aktarım protokolu genelde disksiz iş istasyonlarının ağ
üzerinden açılmalarında kullanılır. Güvenlik denetimleri çok az
olduğundan zorunlu kalmadıkça çalıştırılmamalıdır.

%package -n atftpd-common
Summary:	Daemon for the trivial file transfer protocol (tftp)
Summary(de.UTF-8):	Dämon für das 'trivial file transfer protocol (tftp)'
Summary(fr.UTF-8):	Démon pour le « trivial file transfer protocol » (tftp)
Summary(pl.UTF-8):	Serwer tftp (trivial file transfer protocol)
Summary(tr.UTF-8):	İlkel dosya aktarım protokolu (TFTP) için sunucu ve istemci
Group:		Networking/Daemons/FTP
Requires(postun):	/usr/sbin/userdel
Requires(pre):	/bin/id
Requires(pre):	/usr/sbin/useradd
Provides:	user(tftp)

%description -n atftpd-common
The Trivial File Transfer Protocol (TFTP) is normally used only for
booting diskless workstations. The tftp package provides the user
interface for TFTP, which allows users to transfer files to and from a
remote machine. It provides very little security, and should not be
enabled unless it is needed.

%description -n atftpd-common -l de.UTF-8
Das trivial file transfer protocol (tftp) wird in der Regel nur zum
Booten von disklosen Workstations benutzt. Es bietet nur geringe
Sicherheit und sollte nur im Bedarfsfall aktiviert werden.

%description -n atftpd-common -l fr.UTF-8
Le « trivial file transfer protocol » (tftp) est normalement utilisé
uniquement pour démarrer les stations de travail sans disque. Il offre
très peu de sécurité et ne devrait pas être activé sauf si c'est
nécessaire.

%description -n atftpd-common -l pl.UTF-8
TFTP (Trivial File Transfer Protocol) jest używany głównie do
startowania stacji bezdyskowych z sieci. Serwer tftp powinien być
instalowany tylko wtedy, kiedy zachodzi taka konieczność ponieważ
należy on do aplikacji o niskim poziomie bezpieczeństwa.

%package -n atftpd-inetd
Summary:	inetd configs for atftpd
Summary(pl.UTF-8):	Pliki konfiguracyjne do użycia atftpd poprzez inetd
Group:		Networking/Daemons/FTP
Requires:	atftpd-common = %{epoch}:%{version}-%{release}
Requires:	rc-inetd >= 0.8.1
Provides:	tftpdaemon
Obsoletes:	atftpd
Obsoletes:	inetutils-tftpd
Obsoletes:	tftp-server
Obsoletes:	tftpd
Obsoletes:	tftpd-hpa
Obsoletes:	utftpd

%description -n atftpd-inetd
atftpd configs for running from inetd.

%description -n atftpd-inetd -l pl.UTF-8
Pliki konfiguracyjna atftpd do startowania demona poprzez inetd.

%package -n atftpd-standalone
Summary:	Standalone daemon configs for atftpd
Summary(pl.UTF-8):	Pliki konfiguracyjne do startowania atftpd w trybie standalone
Group:		Networking/Daemons/FTP
Requires:	atftpd-common = %{epoch}:%{version}-%{release}
Requires:	rc-scripts
Provides:	tftpdaemon
Obsoletes:	atftpd
Obsoletes:	inetutils-tftpd
Obsoletes:	tftp-server
Obsoletes:	tftpd
Obsoletes:	tftpd-hpa
Obsoletes:	utftpd

%description -n atftpd-standalone
atftpd configs for running as a standalone daemon.

%description -n atftpd-standalone -l pl.UTF-8
Pliki konfiguracyjne atftpd do startowania demona w trybie
standalone.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1

%build
sed -i -e 's#argz.h##g' Makefile*
rm -f missing argz.h
%{__libtoolize}
%{__aclocal}
%{__automake}
%{__autoconf}
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_bindir},%{_sbindir},/var/lib/tftp} \
	$RPM_BUILD_ROOT{%{_mandir}/man{1,8},} \
	$RPM_BUILD_ROOT{/etc/sysconfig/rc-inetd,/etc/rc.d/init.d}

install atftpd $RPM_BUILD_ROOT%{_sbindir}
install atftp $RPM_BUILD_ROOT%{_bindir}
install *.8 $RPM_BUILD_ROOT%{_mandir}/man8/
install *.1 $RPM_BUILD_ROOT%{_mandir}/man1/

install %{SOURCE1} $RPM_BUILD_ROOT/etc/sysconfig/rc-inetd/tftpd
install %{SOURCE2} $RPM_BUILD_ROOT/etc/rc.d/init.d/atftpd
install %{SOURCE3} $RPM_BUILD_ROOT/etc/sysconfig/atftpd

%clean
rm -rf $RPM_BUILD_ROOT

%pre -n atftpd-common
%useradd -u 15 -r -d /var/lib/tftp -s /bin/false -c "TFTP User" -g ftp tftp

%postun -n atftpd-common
if [ "$1" = "0" ]; then
	%userremove tftp
fi

%post -n atftpd-inetd
%service -q rc-inetd reload

%postun -n atftpd-inetd
if [ "$1" = "0" ]; then
	%service -q rc-inetd reload
fi

%post -n atftpd-standalone
/sbin/chkconfig --add atftpd
%service atftpd restart

%preun
if [ "$1" = "0" ]; then
	%service atftpd stop
	/sbin/chkconfig --del atftpd
fi

%files
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/*
%{_mandir}/man1/*

%files -n atftpd-common
%defattr(644,root,root,755)
%doc README FAQ
%attr(755,root,root) %{_sbindir}/*
%attr(750,tftp,root) %dir /var/lib/tftp
%{_mandir}/man8/*

%files -n atftpd-inetd
%defattr(644,root,root,755)
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) /etc/sysconfig/rc-inetd/tftpd

%files -n atftpd-standalone
%defattr(644,root,root,755)
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) /etc/sysconfig/atftpd
%attr(754,root,root) /etc/rc.d/init.d/atftpd

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: atftp.spec,v $
Revision 1.29  2012/03/28 07:26:24  arekm
- release 15

Revision 1.28  2011/07/22 09:30:22  arekm
- rel 14; update debian patch (ipv6 support and other fixes)

Revision 1.27  2009/02/24 08:41:17  arekm
- release 13

Revision 1.26  2009/02/24 06:24:23  arekm
- release 12

Revision 1.25  2009/02/23 22:03:50  arekm
- release 11

Revision 1.24  2008/10/26 13:56:10  gotar
- Networking/Daemons/FTP group for TFTP servers

Revision 1.23  2007/02/12 21:23:48  glen
- tabs in preamble

Revision 1.22  2007/02/12 00:48:39  baggins
- converted to UTF-8

Revision 1.21  2007/01/12 16:33:08  arekm
- rel 10; fix build on th; debian patch; tinfo detection

Revision 1.20  2006/09/14 21:14:53  hawk
- renamed atftpd subpackage into atftpd-common
- moved inetd startup scripts to atftpd-inetd subpackage
- added atftpd-standalone subpackage
- release 9

Revision 1.19  2006/09/08 18:04:14  glen
- rel 8 (rebuild with fixed %useradd/%groupadd macros)

Revision 1.18  2006/04/14 12:06:23  glen
- rel 7

Revision 1.17  2006/03/14 01:24:26  glen
- unified rc-inetd usage (via %service), adapterized

Revision 1.16  2005/09/17 19:05:37  arekm
- rel 6

Revision 1.15  2005/09/17 10:44:59  arekm
- readline 5.0

Revision 1.14  2005/05/02 18:23:51  glen
- adapterized

Revision 1.13  2005/05/01 17:31:30  glen
- use %useradd/%groupadd macros

Revision 1.12  2004/09/25 12:13:54  blues
- release 4 - obsoletes from inetutils - STBR

Revision 1.11  2004/08/25 04:18:00  ankry
- rel. 3

Revision 1.10  2004/08/20 21:33:11  ankry
- use %userremove/%groupremove, some cosmetics

Revision 1.9  2004/07/09 23:55:11  ankry
- fixed obsoletes, rel. 2

Revision 1.8  2004/03/19 17:52:44  undefine
- update to 0.7

Revision 1.7  2003/08/26 23:19:16  gotar
- no // in paths, sort, white space cleaning

Revision 1.6  2003/08/06 16:30:04  kloczek
- może wrescie ktoś wykasuje to konto ?

Revision 1.5  2003/07/16 01:25:25  undefine
- ac/am stuff

Revision 1.4  2003/07/16 01:16:10  undefine
- update to 0.6.2, changed url, br: libwrap-devel, stbr ra/ac

Revision 1.3  2003/06/23 01:24:09  eothane
- Source0: fix

Revision 1.2  2003/06/23 01:18:19  serek
- typo, of course...

Revision 1.1  2003/06/23 01:16:09  serek
- new, stbr.
